/*
@version $Id: app.js 331 2009-09-20 11:57:32Z Mansur $
@copyright Copyright (C) 2008 Abricos All rights reserved.
@license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/

var Component = new Brick.Component();
Component.requires =
{ 
	mod:[ {name: 'webos', files: ['os.js']} ]
};
Component.entryPoint = function()
{	
	var os = Brick.mod.webos;
	
	var app = new os.Application(this.moduleName);
	app.icon = '/modules/calculator/images/app_icon.gif';
	app.entryComponent = 'api';
	app.entryPoint = 'Brick.mod.calculator.API.showCalculatorPanel';
	
	os.ApplicationManager.register(app);
};
