/*
@version $Id: app.js 694 2010-08-26 07:31:16Z roosit $
@copyright Copyright (C) 2008 Abricos All rights reserved.
@license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/

var Component = new Brick.Component();
Component.requires = { 
	mod:[{name: 'webos', files: ['os.js']}]
};
Component.entryPoint = function(){
	
	var os = Brick.mod.webos;
	
	if (Brick.Permission.check('eprice', '30') > 0){
		
		var app = new os.Application(this.moduleName);
		app.icon = '/modules/eprice/images/app_icon.gif';
		app.entryComponent = 'manager';
		app.entryPoint = 'Brick.mod.eprice.API.showPricePanel';
		
		os.ApplicationManager.register(app);
	}
	
	
};
