/*
@version $Id: api.js 969 2011-04-07 13:21:34Z Mansur $
@copyright Copyright (C) 2008 Abricos All rights reserved.
@license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/

/**
 * Модуль "Отзывы пользователей".
 * 
 * @module Feedback2
 * @namespace Brick.mod.feedback2
 */

var Component = new Brick.Component();
Component.requires = { yahoo: ['dom'] };
Component.entryPoint = function()
{	
	var Dom = YAHOO.util.Dom,
		E = YAHOO.util.Event,
		L = YAHOO.lang;
	
	var NS = this.namespace;
	
	/**
	 * API модуля
	 * 
	 * @class API
	 * @extends Brick.Component.API
	 * @static
	 */
	var API = NS.API;
	
		
	/**
	 * Открыть панель "Отзывы пользователя"
	 * 
	 * @method showFeedbackPanel
	 * @static 
	 */
	API.showFeedbackPanel = function() {
		API.fn('ui', function(){
			new NS.FeedbackPanel(false);
		});
	};
};
