/*
@version $Id: roles.js 969 2011-04-07 13:21:34Z Mansur $
@package Abricos
@copyright Copyright (C) 2008 Abricos All rights reserved.
@license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/

var Component = new Brick.Component();
Component.requires = {
	yahoo: ['dom'],
	mod:[{name: 'user', files: ['permission.js']}]
};
Component.entryPoint = function(){
	
	var NS = this.namespace,
		BP = Brick.Permission;
	
	NS.roles = {
		load: function(callback){
			BP.load(function(){
				NS.roles['isView'] = BP.check('feedback2', '10') == 1;
				NS.roles['isWrite'] = BP.check('feedback2', '20') == 1;
				NS.roles['isRemove'] = BP.check('feedback2', '30') == 1;
				NS.roles['isStatus_change'] = BP.check('feedback2', '40') == 1;
				NS.roles['isAdmin'] = BP.check('feedback2', '50') == 1;
				NS.roles['isModerator'] = BP.check('feedback2', '60') == 1;
				callback();
			});
		}
	};

};