/*
* @version $Id: api.js 332 2010-01-19 14:34:26Z Mansur $
* @copyright Copyright (C) 2008 Abricos All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/

/**
 * Модуль "Калькулятор".
 * 
 * @module Calculator
 * @namespace Brick.mod.calculator
 */

var Component = new Brick.Component();
Component.requires = { yahoo: ['dom'] };
Component.entryPoint = function()
{	
	var Dom = YAHOO.util.Dom,
		E = YAHOO.util.Event,
		L = YAHOO.lang;
	
	var NS = this.namespace;
	
	/**
	 * API модуля
	 * 
	 * @class API
	 * @extends Brick.Component.API
	 * @static
	 */
	var API = NS.API;
	
		
	/**
	 * Открыть панель "Калькулятор"
	 * 
	 * @method showManagerPanel
	 * @static 
	 */
	API.showCalculatorPanel = function() {
		API.fn('calculator', function(){
			new NS.CalculatorPanel();
		});
	};

};
