/*
* @version $Id: cp.js 969 2011-04-07 13:21:34Z Mansur $
* @copyright Copyright (C) 2008 Abricos. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/

/**
 * @module Feedback2
 * @namespace Brick.mod.feedback2
 */

var Component = new Brick.Component();
Component.requires = {
	mod:[
	     {name: 'user', files: ['cpanel.js']},
	     {name: 'feedback2', files: ['roles.js']}
	]
};
Component.entryPoint = function(){
	var NS = this.namespace,
		cp = Brick.mod.user.cp,
		modname = this.moduleName;

	NS.roles.load(function(){
		if (NS.roles.isAdmin || NS.roles.isModerator){
			var menuItem = new cp.MenuItem(modname);
			menuItem.icon = '/modules/feedback2/images/smile.jpg';
			menuItem.entryComponent = 'manager';
			menuItem.entryPoint = 'Brick.mod.feedback2.API.showManagerWidget';
			
			cp.MenuManager.add(menuItem);
		}
	});
};
