<?php
/**
* @version $Id: upload.php 1418 2012-02-13 12:55:57Z roosit $
* @package Abricos
* @copyright Copyright (C) 2011 Abricos. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/

$user = Abricos::$user;

$userid = $user->id;
$db = Abricos::$db;
if (empty($userid)){ return;  }

$modFM = Abricos::GetModule('filemanager');
if (empty($modFM)){ return; }

$brick = Brick::$builder->brick;
$brick->param->var['url'] = Abricos::$adress->requestURI; 

$fmManager = $modFM->GetFileManager();

$manager = Abricos::GetModule('uprofile')->GetManager();

$p_act = Abricos::CleanGPC('p', 'act', TYPE_STR);
if ($p_act != "upload"){ return; }

// отключить проверку ролей в менеджере файлов
$fmManager->RolesDisable();
// отключить проверку свободного места в профиле пользователя
$fmManager->CheckSizeDisable();

// проверка, нет ли уже загруженного фото
$avatarid = $user->info['avatar'];
if (!empty($avatarid)){
	$fmManager->FileRemove($avatarid);
	$manager->FieldSetValue('avatar', '');
}

// $p_file = Abricos::CleanGPC('f', 'file0', TYPE_FILE);

// $file = trim($p_file['tmp_name']);

$upload = FileManagerModule::$instance->GetManager()->CreateUploadByVar('file0');
$upload->isOnlyImage = true;
$upload->maxImageWidth = 180;
$upload->maxImageHeight = 180;
$upload->imageConvertTo = 'gif';
$upload->ignoreUploadRole = true;
$upload->filePublicName = 'avatar.gif';

$errornum = $upload->Upload();

/*
$upload = $fmManager->CreateUploadByVar('file0');

if (!$upload->file_is_image){
	return;
}

if ($upload->image_src_x > 180 || $upload->image_src_y > 180){
	
	$dir = CWD."/cache";
	$upload->image_resize = true;
	$upload->image_x = 180;
	$upload->image_y = 180;
	$upload->image_ratio_fill = true;
				
	// необходимо ли конвертировать картинку
	$upload->image_convert = 'gif';
	$upload->file_new_name_body = "avatar".$userid;
	$upload->process($dir);
	
	if (!file_exists($upload->file_dst_pathname)){ 
		return; 
	}
	$file = $upload->file_dst_pathname;
}

// загрузка фото в обход установленных ролей менеджера файлов
$folderId = CMSQFileManager::FolderAdd($db, 0, $userid, 'avatar');
$errornum = $fmManager->UploadFile($folderId, $file, 
		'avatar.gif', 'gif', filesize($file), $atrribute = 0, 
		true, true, true);
@unlink($file);
/**/
if ($errornum == 0){
	$manager->FieldSetValue('avatar', $upload->uploadFileHash);
}

$brick->param->var['command'] = Brick::ReplaceVarByData($brick->param->var['ok'], array(
	"uid" => intval($userid),
	"fid" => $upload->uploadFileHash
));

	
?>